| TagLib 1.13 |  |

Public Member Functions | Protected Member Functions | Friends | List of all members
TagLib::ID3v2::OwnershipFrame Class Reference

An implementation of ID3v2 "ownership". More...

`#include <ownershipframe.h>`

Inheritance diagram for TagLib::ID3v2::OwnershipFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::OwnershipFrame:
[legend]

## Public Member Functions
| OwnershipFrame (String::Type encoding=String::Latin1)
| OwnershipFrame (const ByteVector &data)
virtual | ~OwnershipFrame ()
virtual String | toString () const
String | datePurchased () const
void | setDatePurchased (const String &datePurchased)
String | pricePaid () const
void | setPricePaid (const String &pricePaid)
String | seller () const
void | setSeller (const String &seller)
String::Type | textEncoding () const
void | setTextEncoding (String::Type encoding)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
ByteVector | frameID () const
unsigned int | size () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual String | toString () const =0
ByteVector | render () const
TAGLIB_DEPRECATED | Header (const ByteVector &data, bool synchSafeInts)
| Header (const ByteVector &data, unsigned int version=4)
virtual | ~Header ()
TAGLIB_DEPRECATED void | setData (const ByteVector &data, bool synchSafeInts)
void | setData (const ByteVector &data, unsigned int version=4)
ByteVector | frameID () const
void | setFrameID (const ByteVector &id)
unsigned int | frameSize () const
void | setFrameSize (unsigned int size)
unsigned int | version () const
void | setVersion (unsigned int version)
bool | tagAlterPreservation () const
void | setTagAlterPreservation (bool discard)
bool | fileAlterPreservation () const
bool | readOnly () const
bool | groupingIdentity () const
bool | compression () const
bool | encryption () const
bool | unsynchronisation () const
bool | dataLengthIndicator () const
ByteVector | render () const
TAGLIB_DEPRECATED bool | frameAlterPreservation () const

## Protected Member Functions
virtual void | parseFields (const ByteVector &data)
virtual ByteVector | renderFields () const
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
Header * | header () const
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
virtual void | parseFields (const ByteVector &data)=0
virtual ByteVector | renderFields () const =0
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=0)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
PropertyMap | asProperties () const

## Friends
class | FrameFactory

## Additional Inherited Members
Static Public Member Functions inherited from TagLib::ID3v2::Frame
static Frame * | createTextualFrame (const String &key, const StringList &values)
static unsigned int | headerSize ()
static unsigned int | headerSize (unsigned int version)
static ByteVector | textDelimiter (String::Type t)
static unsigned int | size ()
static unsigned int | size (unsigned int version)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static String::Type | checkEncoding (const StringList &fields, String::Type encoding)
static String::Type | checkEncoding (const StringList &fields, String::Type encoding, unsigned int version)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
static String | keyToTXXX (const String &)
static String | txxxToKey (const String &)
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

An implementation of ID3v2 "ownership".

This implements the ID3v2 ownership (OWNE frame). It consists of a price paid, a date purchased (YYYYMMDD) and the name of the seller.

## Constructor & Destructor Documentation

## ◆ OwnershipFrame() [1/2]

TagLib::ID3v2::OwnershipFrame::OwnershipFrame | ( | String::Type | encoding = `String::Latin1` | ) |
| explicit

Construct an empty ownership frame.

## ◆ OwnershipFrame() [2/2]

TagLib::ID3v2::OwnershipFrame::OwnershipFrame | ( | const ByteVector & | data | ) |
| explicit

Construct a ownership based on the data in data.

## ◆ ~OwnershipFrame()

virtual TagLib::ID3v2::OwnershipFrame::~OwnershipFrame | ( |  | ) |
| virtual

Destroys this OwnershipFrame instance.

## Member Function Documentation

## ◆ datePurchased()

String TagLib::ID3v2::OwnershipFrame::datePurchased | ( |  | ) | const

Returns the date purchased.

See also
  setDatePurchased()

## ◆ parseFields()

virtual void TagLib::ID3v2::OwnershipFrame::parseFields | ( | const ByteVector & | data | ) |
| protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## ◆ pricePaid()

String TagLib::ID3v2::OwnershipFrame::pricePaid | ( |  | ) | const

Returns the price paid.

See also
  setPricePaid()

## ◆ renderFields()

virtual ByteVector TagLib::ID3v2::OwnershipFrame::renderFields | ( |  | ) | const
| protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

## ◆ seller()

String TagLib::ID3v2::OwnershipFrame::seller | ( |  | ) | const

Returns the seller.

See also
  setSeller()

## ◆ setDatePurchased()

void TagLib::ID3v2::OwnershipFrame::setDatePurchased | ( | const String & | datePurchased | ) |

Set the date purchased.

See also
  datePurchased()

## ◆ setPricePaid()

void TagLib::ID3v2::OwnershipFrame::setPricePaid | ( | const String & | pricePaid | ) |

Set the price paid.

See also
  pricePaid()

## ◆ setSeller()

void TagLib::ID3v2::OwnershipFrame::setSeller | ( | const String & | seller | ) |

Set the seller.

See also
  seller()

## ◆ setTextEncoding()

void TagLib::ID3v2::OwnershipFrame::setTextEncoding | ( | String::Type | encoding | ) |

Sets the text encoding to be used when rendering this frame to encoding.

See also
  textEncoding()
  render()

## ◆ textEncoding()

String::Type TagLib::ID3v2::OwnershipFrame::textEncoding | ( |  | ) | const

Returns the text encoding that will be used in rendering this frame. This defaults to the type that was either specified in the constructor or read from the frame when parsed.

See also
  setTextEncoding()
  render()

## ◆ toString()

virtual String TagLib::ID3v2::OwnershipFrame::toString | ( |  | ) | const
| virtual

Returns the text of this popularimeter.

See also
  text()

Implements TagLib::ID3v2::Frame.

## Friends And Related Function Documentation

## ◆ FrameFactory

friend class FrameFactory
| friend

The documentation for this class was generated from the following file:

- ownershipframe.h